.m-data-list {
  list-style: none;
  padding-left: 0;
  line-height: 1.5;
  margin: 0;

  &__item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 0.33rem;

    &:last-of-type {
      margin-bottom: 0;
    }

    &.-subtle {
      color: var(--black-50);
    }

    &.-bold {
      font-weight: bold;
    }

    &__title {
      display: inline-flex;
      justify-content: center;

      &__text {
        max-width: calc(100vw - 10rem);
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;

        &.-has-extras {
          max-width: calc(100vw - 17rem);
        }
      }

      &__icon,
      &__extra {
        margin-left: 0.5rem;
        background-color: var(--black-100);
        border-radius: 0.725rem;
        height: 1.25rem;
        color: var(--white);
        position: relative;
        display: inline-flex;
        justify-content: center;
      }

      &__extra {
        padding: 0.1rem 0.3rem;
        min-width: 1.25rem;
        line-height: 1.4;
        font-weight: bold;
        font-size: 0.85rem;

        mat-icon {
          transform: scale(0.8333);
          transform-origin: top;
        }

        &.-gold {
          color: var(--functional-gold);
        }

        &.-warning {
          background-color: var(--functional-red);
        }

        &.-icon {
          padding: 0.1rem 0;
        }

        &.-combined {
          padding: 0.1rem 0.3rem 0.1rem 0;
        }
      }
    }

    &__guide {
      height: 2px;
      flex: 1 0 auto;
      margin: 0 2rem;
      background-image: linear-gradient(
        90deg,
        var(--black-25),
        var(--black-25) 50%,
        transparent 50%,
        transparent 100%
      );
      background-size: 1rem 2px;
    }

    &__icon {
      mat-icon {
        margin-top: -3px;
        width: 1.25rem;
        display: flex;
        height: 1.25rem;
        align-items: center;
        justify-content: center;
      }

      &.-negative {
        color: var(--functional-red);
      }

      &.-positive {
        color: var(--functional-green);
      }
    }
  }

  &.-orange {
    .m-data-list__guide {
      border-color: var(var(--theme-orange-primary));
      border-image-source: linear-gradient(
        90deg,
        var(--theme-orange-primary) 0%,
        var(--theme-orange-secondary) 100%
      );
      border-image-slice: 1;
    }
  }
}
